
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="UTF-8">
	<title>Metronic Changelog | Keenthemes</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<meta name="description" content="New features, Updates, Improvements, Fixes"/>

	<meta name="keywords" content="metronic, admin themes, bootstrap admin theme, keen, themes, keenthemes, bootstrap, sass, css, css3, laravel, dashboard, HTML, html5, vue, vuejs, angular,
	react, javascript, datepicker, datatable, free admin themes, free templates, bootstrap admin, freebies, bootstrap themes, web design, web development, custom development, ASP.NET, premium themes"/>

	<link rel="canonical" href="https://keenthemes.com/metronic"/>
	<meta property="og:locale" content="en_US"/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta property="og:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta property="og:url" content="https://keenthemes.com/metronic"/>
	<meta property="og:site_name" content="Keenthemes"/>
	<meta property="article:publisher" content="https://www.facebook.com/keenthemes"/>
	<meta name="twitter:card" content="summary_large_image"/>
	<meta name="twitter:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta name="twitter:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta name="twitter:domain" content="Keenthemes"/>

	<link rel="shortcut icon" href="./assets/favicon.ico"/>

	<link href="./assets/style/flaticon.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/tiny-slider/dist/tiny-slider.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/style/style.css?v=7.2.3" rel="stylesheet" type="text/css">	<script src="./assets/plugins/jquery/dist/jquery.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tether/dist/js/tether.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/popper.js/dist/umd/popper.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/bootstrap/dist/js/bootstrap.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/perfect-scrollbar/dist/perfect-scrollbar.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tiny-slider/dist/tiny-slider.js?v=7.2.3" type="application/javascript"></script><script src="./assets/js/custom.js?v=7.2.3" type="application/javascript"></script>
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
</head>
<body>

<div class="wrapper"><!-- wrapper -->

	<!-- section -->
<section class="section section--header" >
	<!-- header -->
	<header>
		<div class="content">
			<div class="header__handler">
				<div class="sidebar">
					<span class="hamburger">
						<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 129 129" enable-background="new 0 0 129 129" width="40px" height="40px">
							<g>
								<path d="m91.4,33.5h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,87.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,60.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
							</g>
						</svg>
					</span>
                    <div class="sidebar__menu_wrap">
                        <span class="sidebar__menu_close">x</span>
                        <ul class="sidebar__menu"><li class="sidebar__menu__item"><a href="index.html" target="" title="Preview"><span>Preview</span></a></li><li class="sidebar__menu__item"><a href="faq.html" target="" title="Faq"><span>Faq</span></a></li><li class="sidebar__menu__item"><a href="docs.html" target="" title="Docs"><span>Docs</span></a></li><li class="sidebar__menu__item"><a href="video.html" target="" title="Videos"><span>Videos</span></a></li><li class="sidebar__menu__item active"><a href="changelog.html" target="" title="Changelog"><span>Changelog</span></a></li><li class="sidebar__menu__item"><a href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub"><span>GitHub</span></a></li><li class="sidebar__menu__item"><a href="reviews.html" target="" title="Reviews"><span>Reviews</span></a></li><li class="sidebar__menu__item"><a href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials"><span>Tutorials</span></a></li></ul>                    </div>
				</div>
				<a href="https://keenthemes.com" class="kt_logo"><img src="./assets/img/logo.png" alt="logo"></a>
			</div>
			<div class="header__references d-none d-md-block">
				<a href="https://keenthemes.com/" class="header__references_home">Home</a>
				<a href="https://keenthemes.com/metronic/" class="header__references_theme">Metronic</a>
				<a href="https://keenthemes.com/hireus/" class="header__references_hire" target="_blank">Hire Us</a>
				<a href="https://1.envato.market/EA4JP" class="header__references_purchase" target="_blank">Buy Now</a>
			</div>
		</div>
	</header>
	<!-- header END -->

	<!-- content -->
	<div class="content">
		<!-- intro -->
		<div class="intro">
			<img src="./assets/img/metronic_logo.svg" alt="logo">

			<span class="intro__subtitle">
				The World’s #1 Bootstrap 4 HTML, Angular 11, React, VueJS & Laravel<br/>Admin Dashboard Theme			</span>
		</div>
		<!-- intro END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

<!-- section -->
<section class="section">
	<!-- curved -->
	<div class="curved-bg" style=" position: relative;margin-top: -55px;">
		<svg  width="100%" height="56px" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" class="">
			<path d="M0,0 C16.6666667,66 33.3333333,99 50,99 C66.6666667,99 83.3333333,66 100,0 L100,100 L0,100 L0,0 Z" fill="white"/></path>
		</svg>
	</div>
	<!-- curved -->

	<!-- content -->
	<div class="content">
		<!-- main__menu_wrap -->
		<div class="main-menu-wrap">
			<div class="main-menu">
                <a class="main-link" href="index.html" target="" title="Preview">Preview</a><a class="main-link" href="faq.html" target="" title="Faq">Faq</a><a class="main-link" href="docs.html" target="" title="Docs">Docs</a><a class="main-link" href="video.html" target="" title="Videos">Videos</a><a class="main-link active" href="changelog.html" target="" title="Changelog">Changelog</a><a class="main-link" href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub">GitHub</a><a class="main-link" href="reviews.html" target="" title="Reviews">Reviews</a><a class="main-link" href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials">Tutorials</a>			</div>
		</div>
		<!-- main__menu_wrap END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

	<div style="background: #F9F4EE;">
    <section class="section section--white">
  <!-- section -->
  <div class="content">

    <div class="contents contents-sidebar-wide">
      <!-- contents -->

      <div class="contents__box contents__box--left">
        <!-- contents__box -->
        <ul id="changelog" class="accordion">			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic2892868128" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.2.3 - 11 March, 2021</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic2892868128" class="collapse show" role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-global">
		Global</span>&nbsp;Added navigation parameter to KTWizard plugin.
		<a href="https://keenthemes.com/metronic/?page=docs&section=html-components-wizard">Learn more</a>
	</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Dropzone</code> remove button position.</li>
	<li><span class="badge badge-html">HTML</span> Removed duplicate <code>Share.svg</code> icon.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>RTL</code> version for <code>demo2</code> and <code>demo3</code>.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>Aside menu</code> closing issue on mobile devices after routing changes.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed <code>RTL</code> version for <code>demo2</code> and <code>demo3</code>.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed <code>Aside menu</code> closing issue on mobile devices after routing changes.</li>
    <li><span class="badge badge-angular">Vue</span> Fixed validation bug on <code>Login</code> page.</li>
    <li><span class="badge badge-angular">Vue</span> Fixed <code>Aside menu</code> closing issue on mobile devices after routing changes.</li>
    <li><span class="badge badge-angular">Laravel</span> Fixed <code>bootstrap-timepicker</code> initialization issue.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic3681196726" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.2.2 - 18 February, 2021</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic3681196726" class="collapse " role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Gulp</code> not build for demos.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1113836300" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.2.1 - 12 February, 2021</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1113836300" class="collapse " role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed webpack build error when build with the latest <code>npm</code> version.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>KTDatatable</code> dropdown can't be opened after second click.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic895810458" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.2.0 - 1 February, 2021</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic895810458" class="collapse " role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-html">HTML</span>&nbsp;Remove <code>node-sass</code> and replaced with <code>dart-sass</code> for <code>Gulp</code> and <code>Webpack</code> builders.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1325333863" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.9 - 27 January, 2021</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1325333863" class="collapse " role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-global">Global</span>&nbsp;Bootstrap v4.6.0 update.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed KTDatatable bug for hidden columns on every sorting.</li>
	<li><span class="badge badge-html">HTML</span>&nbsp;Fixed Card tooltip issue caused after it's removal.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed missing expand/collapse arrow in <code>Datatables</code> responsive example.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed JS error conflict between <code>datatables.bundle.js</code> with other jQuery plugins when using Webpack build.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>toastr</code> and <code>summernote</code> missing sourcemap file warning.</li>
    <li><span class="badge badge-html">Laravel</span>&nbsp;Changed links in documentation from <code>7.x</code> to <code>8.x</code>.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic972672497" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.8 - 28 December, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic972672497" class="collapse " role="tabpanel">
					<p>Fixes</p>
<ul>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Bootstrap-select</code> and <code>Treeview</code> conflict issue in Webpack build.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>KTDatatable</code> dropdown position issue inside child table.</li>
    <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Gulp</code> build issue, related to SCSS file import not found.</li>
</ul>
					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic2839990368" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.7 - 9 December, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic2839990368" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
    <li><span class="badge badge-html">VUE</span> Added <code>Profile 2</code>, <code>Profile 3</code>, <code>Profile 4</code> pages.</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-angular">HTML</span>
      <code>Bootstrap Switch</code> downgraded to v3.3.0 due to known issues of v3.4.0.
    </li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo1</code> Fixed Footer left position issue when Aside removed.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo3</code> Menu padding issue on mobile mode.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo6</code> Sidebar toggle issue on mobile mode.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo7</code> Header menu toggle issue on mobile mode.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo10</code> Sidebar toggle issue on mobile mode.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed <code>Demo11</code> Header menu toggle issue on mobile mode.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed KTDatatable bug for <code>autoColumns</code> option where empty table on the first load.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed KTDatatable bug for sorting function not working when<code>autoColumns</code> option is enabled.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed KTDatatable bug for hidden columns on every sorting.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Update <code>Webpack v5</code> localhost server and fixed older version Webpack localhost error.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed topbar dropdown issue in Datatable page when build using Webpack.</li>
  <li><span class="badge badge-html">HTML</span>&nbsp;Fixed demo5 search inline.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>Aside menu</code> scroll on mobile view.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>Static aside menu</code> translation examples.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>Aside and Header menus</code> 'static/dynamic' switcher in the Layout Builder.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>Layout builder</code> preview.</li>
  <li><span class="badge badge-angular">Angular</span> Update <code>highlight.ts</code> to the latest version.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>404 page not found</code> redirect.</li>
  <li><span class="badge badge-angular">Angular</span> Fixed <code>404 page not found</code> redirect.</li>
  <li><span class="badge badge-react">React</span> Fixed <code>User Profile</code> 'Personal information' form validators.</li>
  <li><span class="badge badge-react">React</span> Fixed <code>Login</code> page scroll issue on iOS.</li>
  <li><span class="badge badge-react">Vue</span> Fixed form validation on <code>Login</code> page.</li>
</ul>
					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic3728859382" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.6 - 19 November, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic3728859382" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
    <li><span class="badge badge-html">VUE</span> Added <code>demo7</code> vue version. <a href="https://preview.keenthemes.com/metronic/vue/demo7" target="_blank">See preview</a></li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-angular">Angular</span> Angular <a href="https://blog.angular.io/version-11-of-angular-now-available-74721b7952f7" target="_blank">v11.0.0</a>
        upgrade. (<code>strict mode</code> will be published in future updates).
    </li>
    <li><span class="badge badge-html">HTML</span> Upgrade <code>Webpack v5</code></li>
    <li><span class="badge badge-html">HTML</span> Updated <code>datatables</code> JSON response structure with the latest version.
        Refer to <a target="_blank" href="https://datatables.net/examples/data_sources/server_side">documentation</a>.
    </li>
    <li><span class="badge badge-html">HTML</span> Tagify v3.21.4 update.</li>
    <li><span class="badge badge-html">HTML</span> CKEditor v23.1.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Fontawesome 5 v5.15.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Uppy v1.14.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Animate v4.1.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Apexcharts v3.22.2 update.</li>
    <li><span class="badge badge-html">HTML</span> Bootstrap Daterangepicker v3.1.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Bootstrap Maxlength v1.10.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Bootstrap Select v1.13.18 update.</li>
    <li><span class="badge badge-html">HTML</span> Bootstrap Switch v3.4.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Datatables v1.10.22 update.</li>
    <li><span class="badge badge-html">HTML</span> Flot v4.2.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Gmaps v0.4.25 update.</li>
    <li><span class="badge badge-html">HTML</span> Handlebars v4.7.6 update.</li>
    <li><span class="badge badge-html">HTML</span> jKanban v1.2.3 update.</li>
    <li><span class="badge badge-html">HTML</span> Inputmask v5.0.5 update.</li>
    <li><span class="badge badge-html">HTML</span> Jstree v3.3.10 update.</li>
    <li><span class="badge badge-html">HTML</span> Leaflet v1.7.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Moment v2.29.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Nouislider v14.6.2 update.</li>
    <li><span class="badge badge-html">HTML</span> Popper.js v1.16.1 update.</li>
    <li><span class="badge badge-html">HTML</span> Pdfmake v0.1.68 update.</li>
    <li><span class="badge badge-html">HTML</span> Prismjs v1.22.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Quil v1.3.7 update.</li>
    <li><span class="badge badge-html">HTML</span> Select2 v4.0.13 update.</li>
    <li><span class="badge badge-html">HTML</span> Sticky-js v1.3.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Summernote v0.8.18 update.</li>
    <li><span class="badge badge-html">HTML</span> Sweetalert2 v10.10.0 update.</li>
    <li><span class="badge badge-html">HTML</span> Tinymce v5.5.1 update.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
    <li><span class="badge badge-global">Global</span> Aside submenu accordion mode recalculate scroll height on submenu close.</li>
    <li><span class="badge badge-angular">Angular</span> Fixed <code>TableState</code> old state keeping in Datatables.</li>
    <li><span class="badge badge-html">Demo 12</span> Fixed <code>Sticky Cards</code> position issue.</li>
    <li><span class="badge badge-html">HTML</span> Fixed <code>Datatables.net</code> issue with v1.10.22 update.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1195946316" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.5 - 2 November, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1195946316" class="collapse " role="tabpanel">
					<p>Fixes</p>
<ul>
    <li><span class="badge badge-vue">Vue</span> Fixed Vue missing assets.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic810516954" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.4 - 31 October, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic810516954" class="collapse " role="tabpanel">
					<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-html">HTML</span> Exclude precompiled assets.</li>
    <li><span class="badge badge-angular">Angular</span> Exclude old angular demos.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic2922058873" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.3 - 29 October, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic2922058873" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
    <li><span class="badge badge-html">Laravel</span> Added new page for plugin <code>jquery-mask-plugin</code>. <a href="https://igorescobar.github.io/jQuery-Mask-Plugin/" target="_blank">See documentation</a> You can access this page in <code>/jquerymask</code></li>
    <li><span class="badge badge-angular">Angular</span> Added <code>CRUD+Tables</code> <a target="_blank" href="https://keenthemes.com/metronic/angular/demo1/ecommerce/customers">examples</a> for Angular 10+. (<code>eCommerce</code> module)</li>
    <li><span class="badge badge-angular">Angular</span> Added <code>User Profile</code> <a target="_blank" href="https://keenthemes.com/metronic/angular/demo1/user-profile/profile-overview">example</a> for Angular 10+.</li>
    <li><span class="badge badge-react">React</span> Added <code>User Profile</code> example.</li>
    <li><span class="badge badge-global">Laravel and Vue</span> Added guide how to make Metronic Vue and Laravel integration.</li><a href="https://keenthemes.com//metronic/?page=docs&section=vue-laravel-integration" target="_blank">See documentation</a>
    <li><span class="badge badge-vue">Vue</span> Added vue demo6 version.</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
    <li><span class="badge badge-html">HTML</span> Bootstrap v4.5.3 update.</li>
	<li><span class="badge badge-html">HTML</span> Gulp compile using <code>--prod</code> flag or enable js/css minification setting will append <code>.min</code> to the output filename.</li>
	<li><span class="badge badge-html">HTML</span> Gulp auto resolve path for 3rd party node modules plugin in SCSS. Eg. <code>@import "../node_modules/bootstrap/</code> to <code>@import "bootstrap/</code></li>
    <li><span class="badge badge-angular">Angular</span> Upgraded Angular version to <a href="https://github.com/angular/angular/blob/master/CHANGELOG.md#1016-2020-10-14" target="_blank"><code>10.6.1</code></a>.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
    <li><span class="badge badge-html">HTML</span> Fix <code>Demo 5</code> dashboard widget bug on iOS.</li>
    <li><span class="badge badge-html">HTML</span> Fix buttons issue in <code>KTDatatable</code> event demo page.</li>
    <li><span class="badge badge-html">HTML</span> Fix <code>KTDatatable</code> function <code>getSelectedId()</code> duplicated id.</li>
    <li><span class="badge badge-html">HTML</span> Fix <code>KTDatatable</code> border for HTML table.</li>
    <li><span class="badge badge-html">HTML</span> Fix <code>KTDualListbox</code> duplicating options</li>
    <li><span class="badge badge-html">HTML</span> Fix webpack file paths import by prepend <code>./</code> at the beginning of the file path.</li>
    <li><span class="badge badge-react">React</span> Fix <code>Breadcrumbs</code> wrong path issue.</li>
    <li><span class="badge badge-react">React</span> Fix <code>eCommerce</code> 'ProductEdit' form issues.</li>
    <li><span class="badge badge-react">React</span> Fix <code>eCommerce</code> 'FetchModel' modal HTML issues.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic3643548911" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.2 - 30 September, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic3643548911" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-vue">Vue</span> Added User Sign-in, Sign-up and Password Reset Pages.
		<a href="https://preview.keenthemes.com/metronic/vue/demo1/#/login" target="_blank">See preview</a>.
	</li>
	<li><span class="badge badge-vue">Vue</span> Added User Profile, Account and Password Change Pages.
		<a href="https://preview.keenthemes.com/metronic/vue/demo1/#/custom-pages/profile" target="_blank">See preview</a>.
	</li>
	<li>
		<span class="badge badge-angular">Angular 10</span> Added <code>Demo2</code>. <a href="https://preview.keenthemes.com/metronic/angular/demo2" target="_blank">See preview</a>.
	</li>
	<li>
		<span class="badge badge-angular">Angular 10</span> Added <code>Demo3</code>. <a href="https://preview.keenthemes.com/metronic/angular/demo3" target="_blank">See preview</a>.
	</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added <code>Demo 7</code> minimal header option. Add <code>header-bottom-enabled</code> to have bottom menu enabled.</span></li>
	<li><span class="badge badge-html">VUE</span> Added profile page in Custom -> Pages -> Profile</li>
	<li><span class="badge badge-laravel">LARAVEL</span> Upgrade version of <code>Laravel 8</code></li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed submenu toggle issue< in <code>Demo 1</code> Minimized Aside</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 7</code> default Hidden Menu issue</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 7</code> default hidden Menu</li>
	<li><span class="badge badge-laravel">LARAVEL</span> Fixed Laravel expandable minimized aside menu on hover.</li>
	<li><span class="badge badge-angular">Angular 10</span> Fixed <code>Demo 1</code> footer width issue when aside is disable</li>
	<li><span class="badge badge-vue">VUE</span> Fixed Vue bug with aside menu not expanded when accessed directly via URL.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1076196693" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.1 - 15 September, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1076196693" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li></li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added <code>Demo 7</code> minimal header option. Add <code>header-bottom-enabled</code> to have bottom menu enabled.</span></li>
	<li><span class="badge badge-angular">ANGULAR</span> Added 4 new wizards examples.</li>
	<li><span class="badge badge-html">HTML</span> Improve gulp minify build.</span></li>
	<li><span class="badge badge-html">HTML</span> Changed <code>jsUglify</code> gulp build config to <code>jsMinify</code>.</span></li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Bootstrap Touchspin</code> input's default value issue.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Draggable Card</code> border issue on draggable zone click.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 1</code> aside toggle click issue on minimized aside hover.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 13</code> multi-level submenu offset issue.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>User Profile</code> scroll issue on mobile.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> autoHide toggle when no detail row to render.</span></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> width adjustment issue when there is no data.</span></li>
	<li><span class="badge badge-angular">ANGULAR</span> Fixed <code>Aside</code> <code>Dropdown</code> mode.</li>
	<li><span class="badge badge-react">REACT</span> Fixed  <code>React Registration Form</code> issue with 'terms and conditions' checkbox.</span></li>
    <li><span class="badge badge-vue">Vue</span> Added new <code>Vue Treeselect</code> plugin. <a href="https://vue-treeselect.js.org/#basic-features" target="_blank">See documentation</a>.</li>
    <li><span class="badge badge-vue">Vue</span> Added vue demo5 version.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic924992963" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.1.0 - 25 August, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic924992963" class="collapse " role="tabpanel">
					<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-html">HTML</span> <code>Bootstrap v4.5.2</code> update.</li>
	<li><span class="badge badge-angular">ANGULAR</span> Added dynamic aside menu component.</li>
	<li><span class="badge badge-angular">ANGULAR</span> Added dynamic header menu component.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed HTML formatting issue in all HTML templates files.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo7</code> fixed header overlay issue on mobile.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Fixed Footer</code> z-index issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>custom/apps/ecommerce/checkout.html</code> form validation bug.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTWizard</code> form validation bug.</li>
	<li><span class="badge badge-html">HTML</span> Fixed HTML formatting.</li>
	<li><span class="badge badge-angular">ANGULAR</span> Language selector dropdown issue.</span></li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1329370960" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.9 - 20 August, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1329370960" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">VUE</span> Added new <code>demo4</code> vue version. <a href="https://preview.keenthemes.com/metronic/vue/demo4" target="_blank">See preview</a></li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Invoice 5</code>. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/invoices/invoice-5.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Invoice 6</code>. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/invoices/invoice-6.html" target="_blank">See preview</a>.</li>
	<li>
		<span class="badge badge-angular">Angular</span> <code>New version of our Angular application</code>. Features and improvements:
		<ul>
			<li><code>IVY renderer</code> support.</li>
			<li><code>Angular 10.0.x</code> versions support.</li>
			<li>New <code>layout</code> structure.</li>
			<li><code>ng lint</code> support.</li>
			<li><code>Authorization</code> module improvements.</li>
			<li>Performance improvements and bundles size increasing.</li>
		</ul>
	</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Improved sticky header functionality for <code>Demo 2</code>, <code>Demo 8</code>, <code>Demo 9</code>, <code>Demo 11</code>, <code>Demo 12</code> and <code>Demo 13</code>.</li>
	<li><span class="badge badge-html">HTML</span> Webpack builder optimization and remove deprecated Webpack plugins.</li>
	<li><span class="badge badge-html">HTML</span> <code>KTWizard</code> javascript code refactored with minor changes.</li>
	<li><span class="badge badge-html">HTML</span> <code>Bootstrap Select</code> style improvements.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTWizard</code> form validation bug.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTWizard</code> step title click bug.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Perfect Scrollbar</code> height calculation issue on mobile.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 5 Dashboard Tabs</code> responsive issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Inline Checkbox & Radio</code> wrapping issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>custom/apps/contacts/edit-contact.html</code> responsive issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>custom/apps/projects/edit-project.html</code> responsive issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>custom/apps/user/edit-user.html</code> responsive issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed webpack missing js files import.</li>
    <li><span class="badge badge-html">HTML</span> Added <a href="https://igorescobar.github.io/jQuery-Mask-Plugin/" target="_blank">jQuery Mask Plugin</a>. A plugin to make masks on form fields.</li>
	<li><span class="badge badge-html">HTML</span> Remove space between pagination buttons in <code>KTDatatable</code>.</li>
	<li><span class="badge badge-html">HTML</span> Fixed webpack RTL command won't generate RTL CSS files in certain demos.</li>
	<li><span class="badge badge-laravel">LARAVEL</span> Fixed dashboard <code>timeline</code> widget broken style.</li>
	<li><span class="badge badge-laravel">LARAVEL</span> Fixed <code>jsTree</code> and <code>KTDatatable</code> integration issue.</li>
	<li><span class="badge badge-vue">VUE</span> Vue demos UI improvements, this changes will influence dashboard pages of <code>demo1</code>, <code>demo2</code> and <code>demo3</code>.</li>
    <li><span class="badge badge-vue">VUE</span> Fixed bug in <code>demo1</code>, now <code>layout.config.json</code> property <code>aside.self.minimize.hoverable</code> will be working.</li>
    <li><span class="badge badge-vue">VUE</span> Added Cropper plugin in <code>/plugins/cropper</code></li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic943433670" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.8 - 3 August, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic943433670" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added new <code>Invoice 3</code>. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/invoices/invoice-3.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Invoice 4</code>. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/invoices/invoice-4.html" target="_blank">See preview</a>.</li>
	<li>
		Figma file update:
		<ul>
			<li>New Demo 12 layout.</li>
		    <li>New Demo 13 layout.</li>
		    <li>6 eCommerce App pages.</li>
		    <li>3 Education App pages.</li>
		    <li>6 Invoice pages.</li>
		</ul>
	</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 1</code> topbar toggle issue on mobile mode.</li>
	<li><span class="badge badge-html">HTML</span> Fixed quick search result missing image path.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic2827270743" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.7 - 25 July, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic2827270743" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added new <code>Demo 13</code>. <a href="https://preview.keenthemes.com/metronic/demo13/index.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>RTL</code> demos. <a href="https://preview.keenthemes.com/metronic/demo1/rtl/index.html" target="_blank">See preview</a>.</li>
	<li>
		<span class="badge badge-react">HTML</span> Added new <code>eCommerce</code> app:
		<ul class="py-2">
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/dashboard.html" target="_blank">Dashboard 1</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/dashboard-2.html" target="_blank">Dashboard 2</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/dashboard-3.html" target="_blank">Dashboard 3</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/dashboard-4.html" target="_blank">Dashboard 4</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/dashboard-5.html" target="_blank">Dashboard 5</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/my-orders.html" target="_blank">My Orders</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/order-details.html" target="_blank">Order Details</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/shopping-cart.html" target="_blank">Shopping Cart</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/ecommerce/checkout.html" target="_blank">Checkout</a> template.</li>
		</ul>
	</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-html">HTML</span> <code>Demo 1</code> fixed mobile subheader option.</li>
	<li><span class="badge badge-html">HTML</span> Improved <code>KTDatatable</code> function <code>destroy()</code> to release memory and clear unused variables.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 7</code> Fixed Header issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed webpack error during compilation in demo12 and demo13.</li>
	<li><span class="badge badge-html">HTML</span> Hide <code>KTDatatable</code> pagination when no rows in the list.</li>
	<li><span class="badge badge-html">HTML</span> Fixed missing <code>tinymce</code> plugin import in gulp and webpack.</li>
	<li><span class="badge badge-html">HTML</span> Fixed webpack plugin import error.</li>
	<li><span class="badge badge-html">HTML</span> Fixed missing <code>datetimepicker</code> plugin import in webpack.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>noUiSlider</code> plugin error when initialize with empty element.</li>
	<li><span class="badge badge-html">HTML</span> Removed <code>console.log()</code> code from <code>wizard.js</code> plugin.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed demo2 user profile topbar dropdown in mobile view.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed aside menu when it is collapsed in demo2. Now menu items will be visible when the menu is collapsed.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed wizard pages in demo2.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed vertical align for spinners inside a buttons on the page <code>/vue-bootstrap/spinner</code>.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed <code>z-index</code> bug with <code>offcanvas</code> menu on mobile version. Now the menu will be in front of the header.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed highlight menu button width on mobile view.</li>
	<li><span class="badge badge-vue">VUE</span> Fixed dashboard widget broken style.</li>
	<li><span class="badge badge-vue">VUE</span> Removed left margin for apexcharts on the dashboard page.</li>
	<li><span class="badge badge-laravel">LARAVEL</span> Fixed Laravel source-map warning in DevTools for production build.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic3749939905" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.6 - 7 July, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic3749939905" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added new <code>Demo 12</code>. <a href="https://preview.keenthemes.com/metronic/demo12/index.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Wizard 5</code> page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/wizard/wizard-5.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Wizard 6</code>. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/wizard/wizard-6.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> Added new <code>Tempusdominus Bootstrap Datetimepicker Plugin</code>. <a href="https://preview.keenthemes.com/metronic/demo1/crud/forms/widgets/bootstrap-datetimepicker.html" target="_blank">See preview</a>.</li>

</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li>
		<span class="badge badge-html">HTML</span> Added solid theme color options for <code>Tagify</code> plugin.
		<a href="https://preview.keenthemes.com/metronic/demo1/crud/forms/widgets/tagify.html" target="_blank">See preview</a>.
	</li>
	<li><span class="badge badge-laravel">Laravel</span> Sync <code>package.json</code> file with HTML version.</li>
	<li><span class="badge badge-laravel">HTML</span> Removed <code>Bootstrap Datetimepicker</code> by <a href="https://github.com/smalot/bootstrap-datetimepicker" target="_blank">smalot</a>.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed demos topbar dropdowns and custom file input z-index conflict.</li>
	<li><span class="badge badge-html">HTML</span> Fixed issye with <code>Fixed Footer</code> page.</li>
	<li><span class="badge badge-html">HTML</span> <code>Daterangepicker</code> custom range view border issue.</li>
	<li><span class="badge badge-html">HTML</span> <code>Demo3</code> success color duplication with primary color.</li>
	<li><span class="badge badge-react">React</span> Fixed issue with <code>MUI Ripple</code> effect.</li>
	<li><span class="badge badge-react">React</span> Fixed padding issues with <code>Registration</code> page.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>eCommerce</code> HTML issues with <code>Dropdown</code>.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>breadcrumbs</code> disappearing issue when aside is disabled.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>getAttributeNames method</code> error on <code>Microsoft Edge</code>.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed <code>breadcrumbs</code> counting algorithm.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed <code>Timeline</code> widget HTML.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed <code>MUI Tooltip</code> components.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed <code>Non-authenticate</code> user redirection bug to dashboard.</li>
	<li><span class="badge badge-html">HTML</span> <span class="badge badge-laravel">Laravel</span> Fixed topbar HTML in mobile view.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1183505275" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.5 - 18 June, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1183505275" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-react">React</span> Added new <code>Demo 3</code> integration. <a href="https://preview.keenthemes.com/metronic/react/demo3" target="_blank">See preview</a>.</li>
	<li>
		<span class="badge badge-react">HTML</span> Added new <code>Education</code> app:
		<ul class="py-2">
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/dashboard.html" target="_blank">School Dashboard</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/statistics.html" target="_blank">School Statistics</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/calendar.html" target="_blank">School Calendar</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/library.html" target="_blank">School Library</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/teachers.html" target="_blank">School Teachers</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/students.html" target="_blank">School Students</a> template.</li>

			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/statistics.html" target="_blank">Student Dashboard</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/profile.html" target="_blank">Student Profile</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/calendar.html" target="_blank">Student Calendar</a> template.</li>
			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/school/classmates.html" target="_blank">Student Classmates</a> template.</li>

			<li><a href="https://preview.keenthemes.com/metronic/demo1/custom/apps/education/class/dashboard.html" target="_blank">Class Dashboard</a> template.</li>
		</ul>
	</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li>
		<span class="badge badge-html">HTML</span> <Code>Checkbox</code> & <code>Radio</code> components improvements.
		Check out <a href="https://preview.keenthemes.com/metronic/demo1/crud/forms/controls/checkbox.html">Checkboxes Preview</a>
		<a href="https://preview.keenthemes.com/metronic/demo1/crud/forms/controls/radio.html">Radios Preview</a>.
	</li>
	<li><span class="badge badge-html">Global</span> <Code>Demo2</code> <code>Subheader</code> padding enhancement.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Demo 3</code> <code>Chat</code> popup window issue.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed topbar dropdown layout issue in the RTL version and mobile view.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed demo2 subheader padding.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed undefined image path.</li>
	<li><span class="badge badge-react">React</span> Fixed <code>Aside</code> parent active class issue.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic831384557" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.4 - 5 June, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic831384557" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-react">React</span> Added new <code>Demo 2</code> integration. <a href="https://preview.keenthemes.com/metronic/react/demo2" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-vue">Vue</span> Added new <code>Demo 3</code> integration. <a href="https://preview.keenthemes.com/metronic/vue/demo3" target="_blank">See preview</a>.</li>

	<li><span class="badge badge-html">HTML</span> New <code>Login 4 Wizard Singup</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-4/signup.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> New <code>Login 4 Signin</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-4/signin.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> New <code>Login 4 Forgot Password</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-4/forgot.html" target="_blank">See preview</a>.</li>

	<li>
		<span class="badge badge-global">Global</span> Added new <code>KTUtil.btnWait()</code> and <code>KTUtil.btnRelease()</code> functions to handle the buttons progress states.

	</li>
	<li>
		<span class="badge badge-design">Design</span> New Figma pages:
		<ul>
			<li>Demo 11</li>
			<li>Sign 1, Sign 2, Sign 3, Sign 4</li>
			<li>Wizard 1, Wizard 2, Wizard 3, Wizard 4</li>
			<li>Calendar</li>
			<li>Inbox</li>
			<li>Forms</li>
			<li>Todo</li>
			<li>Cards 1</li>
			<li>Cards 2</li>
			<li>Invoice 1</li>
			<li>Invoice 2</li>
		</ul>
	</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li>
		<span class="badge badge-html">HTML</span> Removed <code>KTApp.progress()</code> and <code>KTApp.unprogress()</code> functions.
		Instead use <code>KTUtil.btnWait()</code> and <code>KTUtil.btnRelease()</code> as shown <a href="https://preview.keenthemes.com/metronic/demo1/features/custom/spinners.html" target="_blank">here</a>.
	</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-html">Global</span> Fix Aside scrolling issue on <code>iPad Pro</code>.</li>
	<li><span class="badge badge-html">HTML</span> Fix <code>Summernote</code> toolbar z-index issue on scroll.</li>
	<li><span class="badge badge-html">HTML</span> Fix <code>Page Loader</code> not displaying issue.</li>
	<li><span class="badge badge-html">HTML</span> Fix <code>Wizard</code> triggering previouse step on form enter click on inputs.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic2951315022" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.3 - 28 May, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic2951315022" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">HTML</span> Added new <code>Demo 11</code>. <a href="https://preview.keenthemes.com/metronic/demo11/index.html" target="_blank">See preview</a>.</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-global">Global</span> <code>KTOffcanvas</code> component animation improvements.</li>
	<li><span class="badge badge-global">Global</span> <code>.btn-secondary</code> hover state background color improvement.</li>
	<li><span class="badge badge-global">HTML</span> <code>Custom/Pages/Login</code> pages file structure reorganization.</li>
	<li><span class="badge badge-global">HTML</span> <code>Custom/Pages/Login/Login 3</code> improvements.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-global">Global</span> Fixed widgets height issue on Mac Safari.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>SweetAlert</code> <code>Swal</code> undefined variable in <code>webpack</code> build.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>TinyMCE</code> demo page JS errors.</li>
	<li><span class="badge badge-html">HTML</span> Fixed broken table layout in <code>Datatables.net</code> demo page.</li>
	<li><span class="badge badge-html">HTML</span> Use <code>Datatables.net</code> version fixed to <code>1.10.19</code> because the latest <code>v1.10.20</code> has issue.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed menu JS error in the header menu.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed <code>vue-bootstrap</code> tooltip hover timeout too fast.</li>
	<li><span class="badge badge-vue">Vue</span> Close offcanvas panel on the link click.</li>
	<li><span class="badge badge-laravel">Laravel</span> Fixed <code>webpack.mix.js</code> missing fonts in the production build.</li>
	<li><span class="badge badge-laravel">Laravel</span> Fixed <code>SweetAlert</code> <code>Swal</code> undefined variable in <code>webpack</code> build.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic3639496408" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.2 - 22 May, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic3639496408" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
	<li><span class="badge badge-html">HTML</span> New <code>Login 3 Wizard Singup</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-3/signup.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> New <code>Login 3 Signin</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-3/signin.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-html">HTML</span> New <code>Login 3 Forgot Password</code> Page. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-3/forgot.html" target="_blank">See preview</a>.</li>
	<li><span class="badge badge-react">React</span> Added <a href="https://jaredpalmer.com/formik/docs/tutorial#getfieldprops" target="_blank">Form fields validations</a> with <code>Yup</code> and <code>Formik</code>.</li>
	<li><span class="badge badge-react">React</span> Added error pages.</li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
	<li><span class="badge badge-global">Global</span> Added ability to pass <a href="https://preview.keenthemes.com/metronic/demo1/features/miscellaneous/perfect-scrollbar.html" target="_blank">Perfect Scrollbar Options</a> via HTML attributes.</li>
    <li><span class="badge badge-html">HTML</span> Added custom dark theme for <code>Bootstrap Tooltip</code> component.</li>
    <li><span class="badge badge-html">HTML</span> <code>Bootstrap v4.5.0</code> update.</li>
    <li><span class="badge badge-angular">Angular</span> <code>Bootstrap v4.5.0</code> update.</li>
    <li><span class="badge badge-react">React</span> <code>Bootstrap v4.5.0</code> update.</li>
    <li><span class="badge badge-vue">Vue</span> <code>Bootstrap v4.5.0</code> update.</li>
    <li><span class="badge badge-laravel">Laravel</span> <code>Bootstrap v4.5.0</code> update.</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
	<li><span class="badge badge-global">Global</span> <code>Pulse</code> alignment issue on Mac/Safari.</li>
	<li><span class="badge badge-global">Global</span> <code>Card</code> with icon issue on mobile.</li>
 	<li><span class="badge badge-global">Global</span> <code>Bootstrap Popover</code> bug in <code>RTL</code> version.</li>
    <li><span class="badge badge-global">Global</span> Horizontal Menu offscreen submenu issue.</li>
    <li><span class="badge badge-global">Global</span> Iconbox responsive issues.</li>
	<li><span class="badge badge-global">Global</span> Horizontal Menu offscreen submenu issue.</li>
	<li><span class="badge badge-html">HTML</span> <code>Demo 3</code> Sticky Card position issue when Aside toggled.</li>
	<li><span class="badge badge-html">HTML</span> <code>Demo 4</code> Aside scroll mode issue.</li>
	<li><span class="badge badge-html">HTML</span> Bootstrap disabled buttons hover issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed missing error pages.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Bootstrap Notify </code> animation issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Login 1</code> layout issue on Mac Safari.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Login 2</code> layout issue on Mac Safari.</li>
	<li><span class="badge badge-html">HTML</span> Fixed form submission issue after successful validation.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>jQuery-Repeater</code> integration with Webpack and Laravel Mix.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> ordered column direction differentiation issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> checkbox issue with sorting icon issue.</li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> pagination spacing in mobile view.</li>
	<li><span class="badge badge-html">HTML</span> Fixed certain font files path issue when compile using <code>gulp</code></li>
	<li><span class="badge badge-html">HTML</span> Fixed <code>Datatables.net</code> integration issue in <code>webpack</code>.</li>
	<li><span class="badge badge-react">React</span> Fixed Login page 'width' issue.</li>
	<li><span class="badge badge-react">React</span> Fixed <a href="https://github.com/KeenthemesHub/Metronic/issues/296" target="_blank">subheader non-fixed/solid issue</a></li>
	<li><span class="badge badge-react">React</span> Fixed Registration page 'Terms and Conditions' checkbox issue.</li>
	<li><span class="badge badge-angular">Angular</span> Fixed Login page 'width' issue.</li>
	<li><span class="badge badge-vue">Vue</span> Fixed color of expand/collapse aside button svg icon.</li>
	<li><span class="badge badge-laravel">Laravel</span> Fixed line-awesome font import and revised all custom icons import.</li>
	<li><span class="badge badge-laravel">Laravel</span> Fixed <code>Webpack Mix</code> fonts path issues.</li>
	<li><span class="badge badge-laravel">Laravel</span> Removed static <code>mode</code> setting from <code>webpack.mix.js</code>.</li>
  	<li><span class="badge badge-laravel">Laravel</span> Fixed <code>Datatables.net</code> integration issue in the Laravel webpack mix.</li>
 	 <li><span class="badge badge-laravel">Laravel</span> Fixed <code>Select2</code> integration issue when importing with <code>Datatables.net</code> in the Laravel webpack mix.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic1105665890" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.1 - 12 May, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic1105665890" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
  <li><span class="badge badge-html">HTML</span> New Login Page 1 template. <a href="https://preview.keenthemes.com/metronic/demo1/custom/pages/login/login-1.html" target="_blank">See preview</a>.</li>
  <li><span class="badge badge-html">HTML</span> New Login Page 2 template. <a href="https://preview.keenthemes.com/metronic/demo2/custom/pages/login/login-2.html" target="_blank">See preview</a>.</li>
  <li><span class="badge badge-html">HTML</span> New Pulse Component. <a href="https://preview.keenthemes.com/metronic/demo2/features/custom/pulse.html" target="_blank">See preview</a>.</li>
</ul>
<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
  <li><span class="badge badge-html">HTML</span> SASS primary color changes from <code>#6993FF</code> to <code>#3699FF</code> for all versions of Demo1.</li>
  <li>
	<span class="badge badge-html">HTML</span> The SASS global components variable file <code>_variables.scss</code> devided into the Bootstrap variables <code>_variables.bootstrap.sass</code> and the Custom variables
	<code>_variables.custom.sass</code>.
	The demo <code>_variables.demo.sass</code> is used to safely override the global Bootstrap and Custom variables in an isolated scope.
	<a href="?page=docs&section=html/sass" target="_blank">Learn more</a>.
  </li>
  <li><span class="badge badge-html">HTML</span> Added code comments in <code>Webpack</code> configuration files.</li>
  <li><span class="badge badge-html">HTML</span> Added Logout Button in User Offcanvas Panel.</li>
  <li><span class="badge badge-vue">Vue</span> Added Vue logout button and logout function.</li>
  <li>Vue config override at the page level using <code>store</code> service. Eg. <code>this.$store.dispatch(OVERRIDE_PAGE_LAYOUT_CONFIG, {/*page layout config*/});</code></li>
  <li><span class="badge badge-html">HTML</span> Added <code>&lt;!DOCTYPE html&gt;</code> to the HTML tag.</li>
  <li><span class="badge badge-react">React</span> Added tooltips for topbar components in React</li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
  <li><span class="badge badge-html">HTML</span> Fixed Missing <code>&lt;!DOCTYPE html&gt;</code> tag in HTML files.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Layout Builder</code> bugs.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML Link click outline issue.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Form validation</code> bugs.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Tagify</code> plugin readonly mode bug.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Toast</code> plugin state colors bug.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Subheader</code> layout issue in <code>Demo 6</code>.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Header Menu</code> dropdown issue in <code>Demo 8</code>.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Datatables.net</code> column sort direction icon colors issue.</li>
  <li><span class="badge badge-html">HTML</span> Fixed HTML <code>Sweetalert2</code> plugins options syntax issues.</li>
  <li><span class="badge badge-vue">Vue</span> Fixed Vue highlight menu item on active.</li>
  <li><span class="badge badge-vue">Vue</span> Fixed Vue user profile button hover transparency color.</li>
  <li><span class="badge badge-vue">Vue</span> Fixed Vue topbar dropdown outline.</li>
  <li><span class="badge badge-html">HTML</span> Fixed offcanvas demo panel error on first time load.</li>
  <li><span class="badge badge-global">Global</span> Fixed HTML,React,Angular & Vue Menu closing after router changes.</li>
  <li><span class="badge badge-html">HTML</span> Fixed <code>npm run localhost</code> from deleting existing assets folder.</li>
  <li><span class="badge badge-success">Laravel</span> Fixed <code>Laravel</code> dropdown in subheader partials.</li>
</ul>

					<div class="space"></div>
				</div>
			</li>			<li class="card accordion__item">
				<a class="collapsed" data-toggle="collapse" data-parent="#changelog" href="#metronic920662004" aria-expanded="false">
					<div class="accordion__item_top">
						<h5>Metronic v7.0.0 - 7 May, 2020</h5>
						<i class="accordion__item_top_icon"></i>
					</div>
				</a>
				<div id="metronic920662004" class="collapse " role="tabpanel">
					<p>New</p>
<ul>
  <li><span class="badge badge-global">Global</span> New codebase and improved core framework.</li>
  <li><span class="badge badge-global">Global</span> Full demos redesign.</li>
  <li><span class="badge badge-global">Global</span> Full widgets, components, elements and plugins redesign.</li>
  <li><span class="badge badge-html">HTML</span> 200+ new widgets. <a href="https://preview.keenthemes.com/metronic/demo1/features/widgets/lists.html" target="_blank">See preview</a>.</li>
  <li><span class="badge badge-html">Laravel</span> New <code>Laravel</code> version for <code>demo1</code>.</li>
  <li><span class="badge badge-vue">Vue</span> New <code>Vue</code> version for <code>demo1</code> and <code>demo2</code>.</li>
  <li><span class="badge badge-angular">Angular</span> New <code>Angular</code> version for <code>demo1</code>.</li>
  <li><span class="badge badge-react">React</span> New <code>React</code> version <code>demo1</code>.</li>
  <li><span class="badge badge-react">React</span> New <code>React eCommerce</code> module with following features:
	<ul>
	  <li>CRUD http requests examples.</li>
	  <li>Datatable examples based on
		<a href="https://react-bootstrap-table.github.io/react-bootstrap-table2/storybook/" target="_blank">React-bootstrap-table-next</a> with Filtering/Sorting/Grouping/Pagination functionalities.
	  </li>
	  <li><a href="https://redux-toolkit.js.org/" target="_blank">Redux-toolkit</a> based State manager.</li>
	</ul>
  </li>
</ul>

<div class="space"></div>

<p>Updates &amp; Improvements</p>
<ul>
  <li><span class="badge badge-global">Global</span> Removed custom Metronic classes <code>kt-*</code> and replace with the Bootstrap standard classes and new Metronic classes compatible with Bootstrap framework.</li>
  <li><span class="badge badge-html">HTML</span> Removed custom <code>KTPortlet</code> plugin and implemented new <code>KTCard</code> class on top of <code>Bootstrap Card component</code>.</li>
  <li><span class="badge badge-global">Global</span> Dropped <code>IE11</code> support due to many 3rd-party plugins incompatiblity issues.
  <li><span class="badge badge-html">HTML</span> Source code preview for the components and plugins examples.</li>
  <li><span class="badge badge-html">HTML</span> Core Javascript code and performance optimization.</li>
  <li><span class="badge badge-html">HTML</span> File structure optimization.</li>
  <li><span class="badge badge-html">HTML</span> Gulp builder optimization.</li>
  <li><span class="badge badge-html">HTML</span> Webpack builder optimization.</li>
  <li><span class="badge badge-html">HTML</span> Pre-compiled assets included in the download package.</li>
  <li><span class="badge badge-html">HTML</span> Classic version has been removed, the pre-compiled assets can be used as an alternative.</li>
  <li><span class="badge badge-html">HTML</span> Removed cookie option from <code>KTDatatable</code> <code>saveState.cookie</code>. Set <code>data.saveState</code> to enable <code>localStorage</code>.</li>
  <li><span class="badge badge-html">HTML</span> Single <code>tools</code> folder for all demos of the HTML version.</li>
  <li><span class="badge badge-angular">Angular</span> <code>Angular 9</code> update. Lear <a href="https://angular.io/guide/updating-to-version-9" target="_blank">more</a>.</li>
  <li><span class="badge badge-react">React</span>
	React version refactoring:
	<ul>
	  <li>View parts of <code>_metronic</code>folder were divided into 4 parts:
		<p>
		  <code>_assets</code>,
		  <code>_helpers</code>,
		  <code>_partials</code>(Shared elements) and
		  <code>layout</code>.
		</p>
	  </li>
	  <li><code>layout</code> setup was moved from <code>React Redux</code> to <a href="https://en.reactjs.org/docs/context.html" target="_blank">React Context</a>.</li>
	  <li><code>i18n</code> setup was moved from <code>React Redux</code> to <a href="https://en.reactjs.org/docs/context.html" target="_blank">React Context</a>.</li>
	  <li>All components were rewrited from <code>React.Component</code> to <a href="https://en.reactjs.org/docs/hooks-intro.html" target="_blank">React Hooks</a>.</li>
	  <li><code>Redux</code>, <code>Axios</code> and <code>Mock Axios</code> settings were moved into <code>src/redux</code> folder.</li>
	  <li><code>Lazy modules</code> were moved into <code>src/app/modules</code> folder.</li>
	  <li><code>Pages</code> were moved into <code>src/app/pages</code> folder.</li>
	</ul>
  </li>
</ul>

<div class="space"></div>

<p>Fixes</p>
<ul>
  <li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> duplicate count of selected checkboxes.</li>
  <li><span class="badge badge-html">HTML</span> Fixed <code>KTDatatable</code> negative pagination when there is no record on the list.</li>
  <li><span class="badge badge-react">React</span> Fixed
	<a href="https://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469/comments?page=458&filter=all#comment_24209647" target="_blank"><code>createSvgIcon</code></a> exports error in React demos.
  </li>
  <li><span class="badge badge-angular">Angular</span> Fixed
	<a href="https://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469/comments?page=456&filter=all#comment_24080237" target="_blank"><code>ngx-daterangepicker-material</code></a> library breaking changes in Angular demos.
  </li>
</ul>

					<div class="space"></div>
				</div>
			</li></ul>        <!-- accordion END -->
      </div><!-- contents__box END -->

      <!-- contents__sidebar -->
      <div class="contents__sidebar contents__sidebar--doc">
  <!-- contents__sidebar -->

	<div class="contents__sidebar_blocks" style="margin-bottom: 50px;">
		<h3 class="title_h3">Custom Work</h3>
		<p>
			If you need the theme customization or custom development services please contact us to get a free quote:
		</p>
		<a class="btn btn-sm btn-light-primary py-2 px-3" href="https://keenthemes.com/hireus/" target="_blank">Hire Us</a>
	</div>

	<div class="contents__sidebar_blocks" style="margin-bottom: 50px;">
		<h3 class="title_h3">License Notice</h3>
		<p>
			A single license can be used only for one domain or client. Each use of the theme requires a separate license. We hope you will follow the rules as it will help us to
			continue supporting our themes and providing a free future updates.
		</p>
		<a href="https://1.envato.market/EA4JP" class="btn btn-sm btn-light-primary py-2 px-3" target="_blank">Get A New License</a>
	</div>

	<div class="contents__sidebar_blocks" style="margin-bottom: 50px;">
		<h3 class="title_h3">ASP.NET Zero - Metronic .NET Integration</h3>
		<p>
			ASP.NET Zero is a starting point for new web projects based on our Metronic Theme UI.
		</p>
		<a href="http://aspnetzero.com/?ref=metronic" class="btn btn-sm btn-light-primary py-2 px-3" target="_blank">Learn Mode</a>
	</div>

	<div class="contents__sidebar_blocks" style="margin-bottom: 50px;">
		<h3 class="title_h3">Theme Support</h3>
		<p>
			Please ensure that your support subscription is active to receive any further support. To check your support subscription status here.
		</p>
		<a href="https://1.envato.market/EA4JP" class="btn btn-sm btn-light-primary py-2 px-3" target="_blank">Renew Subscription</a>
	</div>

	<div class="contents__sidebar_blocks" style="margin-bottom: 50px;">
		<h3 class="title_h3">Become An Affiliate</h3>
		<p>
			You can support our theme by referring a new users from your site or blog and earn with themeforest's affiliate program.
		</p>
		<a href="http://themeforest.net/make_money/affiliate_program" class="btn btn-sm btn-light-primary py-2 px-3" target="_blank">Get More Info</a>
	</div>

    <div class="contents__sidebar_blocks">
        <h3 class="title_h3">How To Update ?</h3>
        <p>
            Like all HTML templates, you will need to manually handle all updates that we provide after purchase for free.
            Before updating your project with the new version of Metronic please do check out our tips for handling the updates efficiently.
        </p>
        <a href="./update.html" class="btn btn-sm btn-light-primary py-2 px-3" target="_blank">Read more...</a>
    </div>

</div>
<!-- contents__sidebar END -->
      <!-- contents__sidebar END -->

    </div><!-- contents END -->

  </div>
</section><!-- section END --></div>


<footer >
    <div class="content-top">
        <div class="container">
            <div class="content-box">
                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom License?</span>
                    <span class="content-desc">
                        Learn more license options at<br/>
                        <a href="mailto:support@keenthemes.com" class="footer-email" target="_blank">support@keenthemes.com</a>
                    </span>
                    <div class="mt-4 d-none">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-danger pb-2 px-3">Get Quote</a>
                    </div>
                </div>

                <div class="line d-flex justify-content-center align-items-center">
                    <div></div>
                </div>

                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom Work?</span>
                    <span class="content-desc">
                        Send us request if you need Metronic<br/>
                        custom development
                    </span>
                    <div class="mt-4">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-primary py-2 px-3">Hire Us</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-bottom w-100 d-flex align-items-center">
        <div class="container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="footer-logo">
                    <a class="kt_logo d-block" href="https://keenthemes.com"><img src="./assets/img/logo.png" alt="logo"></a>
                </div>
                <div class="d-flex align-items-center footer-references">
                    <a href="?page=faq" class="mr-4">FAQ</a>
                    <a href="https://1.envato.market/EA4JP" target="_blank">Buy Now</a>
                </div>
            </div>
        </div>
    </div>
</footer>

</div><!-- wrapper END -->
</body>
</html>